<template>
  <div class="app-container">
    <el-form
      :model="queryParams"
      ref="tableList"
      :inline="true"
      label-width="76px"
      style="margin: 10px 10px"
    >
      <el-form-item label="体检时间" prop="date">
        <el-date-picker
          v-model="value1"
          type="datetimerange"
          align="right"
          start-placeholder="开始日期"
          end-placeholder="结束日期"
          :default-time="['00:00:00', '23:00:00']"
          format="yyyy-MM-dd HH:mm"
          value-format="yyyy-MM-dd HH:mm"
          :picker-options="pickerOptions"
          @change="dateChangebirthday1"
        >
        </el-date-picker>
      </el-form-item>
      <el-form-item label="相关疾病" prop="disesseName">
        <el-input v-model="queryParams.disesseName" style="width: 240px" placeholder="请输入相关疾病"  ></el-input>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="el-icon-search"  @click="submitForm">搜索</el-button>
        <el-button type="primary" >
          <download-excel class="blueBtn" 
            :data="illnessList" 
            :fields="json_fields" 
            worksheet="My Worksheet"
            name="疾病相关统计分析"
            >
            导出
          </download-excel>
        </el-button>
          
        
      </el-form-item>
    </el-form>

    <div class="tj">
        <span class="tj_txt">疾病相关统计分析</span>
    </div>

    <div>
       <el-table :data="illnessList"  style="width: 96%;margin: 10px 15px;" height="530px">
          <template slot="empty">请搜索相关疾病</template>
    <el-table-column  prop="nweID"  label="序号"  align="center"></el-table-column>
    <el-table-column prop="name" label="体检人员"  align="center"></el-table-column>
    <el-table-column prop="sex" label="性别"  align="center"></el-table-column>
    <el-table-column prop="age" label="年龄"  align="center"></el-table-column>
    <el-table-column prop="phone" label="联系电话"  align="center"></el-table-column>
    <el-table-column prop="familyPhone" label="家庭电话"  align="center"></el-table-column>
    <el-table-column prop="tjTime" label="最近体检时间" align="center"></el-table-column>
    <el-table-column prop="type" label="复查标志"  align="center"></el-table-column>
  </el-table>
    </div>
   
  </div>
</template>

<script>
import { illness } from "@/api/count/disease";

export default {
  name: "disease",
  data() {
    return {
        // 遮罩层
      diseseName:"",
        illnessList:[],
        value1: "",
        startTime: "",
        illnessName:"",
        queryParams: {
            date: "",
            beginTime: "",
            endTime: "",
            disesseName:[],
        },
       pickerOptions: {
          shortcuts: [{
            text: '最近一周',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近一个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
              picker.$emit('pick', [start, end]);
            }
          }, {
            text: '最近三个月',
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
              picker.$emit('pick', [start, end]);
            }
          }]
        },
        json_fields:{
          '序号':'nweID',
          '体检人员':'name',
          '性别':'sex',
          '年龄':'age',
          '联系电话':'phone',
          '家庭电话':'familyPhone',
          '最近体检时间':'tjTime',
          '复查标志':'type',

        },
        // 查询参数
        queryParams:{
           beginTime: undefined,
            disesseName: undefined,
            endTime: undefined,
            nweID: undefined,
            age:undefined,
            sex: undefined,
            age: undefined,
            phone: undefined,
            familyPhone: undefined,
            tjTime: undefined,
            type: undefined,
        },
        // 表单参数
      form: {},

    };
  },
  methods: {
    // 根据疾病名称查询相关人员信息

    // 时间
    dateChangebirthday1(val) {
      this.startTime = val;
    },
    // 搜索
    submitForm() {
      this.queryParams.pageNum = 1;
       this.queryParams.beginTime = this.startTime[0];
      this.queryParams.endTime = this.startTime[1];
      let disesseName = this.queryParams.disesseName;
      if (disesseName) {
         illness(this.queryParams).then(response => {
          if (response.data) {
        this.illnessList = response.data;
            for (let i = 0; i < response.data.length; i++) {
          response.data[i].nweID = i + 1;
           this.$modal.msgSuccess("搜索成功");
        };
          }
      });
      }else {
        this.$message.warning("请输入相关疾病");
      }
     
      // let data = 
      //   { disesseName: this.queryParams.disesseName, }
      // illness(data).then((res) => {
      //   this.$modal.msgSuccess("搜索成功");
      //   this.confirm = true;
      // });
    },
  },
};
</script>

<style lang="scss" scoped>
.tj_txt{
    display: flex;
    justify-content: center;
    margin-bottom: 30px;
}

</style>